Just found myself at About.com through a Google search and was presented by this dialog box:

They say I need to update to the latest version of Safari. I'm running the latest version of Safari, on the latest version of Mac OS X (10.4.5), on the latest version on Ruben's Brain.

Who coded this? :D